ATANH(3)

NAME
atanh, atanhf, atanhl - inverse hyperbolic tangent function

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
atanh(double x);
float
atanhf(float x);
long double
atanhl(long double x);

DESCRIPTION
The atanh(), atanhf(), and atanhl() functions compute the inverse hyperbolic tangent of the real argument x.

RETURN VALUES
If |x|1, atanh(x), atanhf(x), and atanhl(x) return +inf, -inf or NaN, and sets the global variable errno to EDOM.

SEE ALSO
acosh(3), asinh(3), exp(3), math(3)

STANDARDS
The atanh() function conforms to isoC-99.

HISTORY
The atanh() function appeared in 4.3BSD.